package com.cim.idm.wmspackage.materialshiprequest.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialShipRequestHistory extends FieldAccessor implements
		HistoryDataInfo<MaterialShipRequestHistoryKey> {
	
	private MaterialShipRequestHistoryKey key;
	
	private String systemType;
	private Timestamp eventTime;
	private String eventName;
	private String eventUser;
	private String eventComment;
	private String shipRequestState;
	private String oldShipRequestState;	
	private String shipRequestType;
	private String shipRequestDetailType;
	private String customerNO;
	private String deliveryType;
	private Timestamp shipPlanDate;
	private String workOrderId;
	
	private String erpReceiveFactory;
	private String erpReceiveLocation;
	private String exportNo;
	
	
	private String saleReason;
	private String saleReasonDescription;
	private String customsDeclare;
	private String weight;
	private String volume;

	private String erpFactoryName;
	private String mesReceiveFlag;
	
	public String getWeight() {
		return weight;
	}
	public void setWeight(String weight) {
		this.weight = weight;
	}
	public String getVolume() {
		return volume;
	}
	public void setVolume(String volume) {
		this.volume = volume;
	}
	public String getErpFactoryName() {
		return erpFactoryName;
	}
	public void setErpFactoryName(String erpFactoryName) {
		this.erpFactoryName = erpFactoryName;
	}
	public String getCustomsDeclare() {
		return customsDeclare;
	}
	public void setCustomsDeclare(String customsDeclare) {
		this.customsDeclare = customsDeclare;
	}
	public String getSaleReason() {
		return saleReason;
	}
	public void setSaleReason(String saleReason) {
		this.saleReason = saleReason;
	}
	public String getSaleReasonDescription() {
		return saleReasonDescription;
	}
	public void setSaleReasonDescription(String saleReasonDescription) {
		this.saleReasonDescription = saleReasonDescription;
	}
	
	
	public String getExportNo() {
		return exportNo;
	}
	public void setExportNo(String exportNo) {
		this.exportNo = exportNo;
	}
	
	public String getErpReceiveFactory() {
		return erpReceiveFactory;
	}
	public void setErpReceiveFactory(String erpReceiveFactory) {
		this.erpReceiveFactory = erpReceiveFactory;
	}
	public String getErpReceiveLocation() {
		return erpReceiveLocation;
	}
	public void setErpReceiveLocation(String erpReceiveLocation) {
		this.erpReceiveLocation = erpReceiveLocation;
	}
	
	
	public MaterialShipRequestHistoryKey getKey() {
		return key;
	}
	public void setKey(MaterialShipRequestHistoryKey key) {
		this.key = key;
	}
	public Timestamp getEventTime() {
		return eventTime;
	}
	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}
	public String getEventName() {
		return eventName;
	}
	public void setEventName(String eventName) {
		this.eventName = eventName;
	}
	public String getEventUser() {
		return eventUser;
	}
	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}
	public String getEventComment() {
		return eventComment;
	}
	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}
	public String getShipRequestState() {
		return shipRequestState;
	}
	public void setShipRequestState(String shipRequestState) {
		this.shipRequestState = shipRequestState;
	}
	public String getOldShipRequestState() {
		return oldShipRequestState;
	}
	public void setOldShipRequestState(String oldShipRequestState) {
		this.oldShipRequestState = oldShipRequestState;
	}
	public String getShipRequestType() {
		return shipRequestType;
	}
	public void setShipRequestType(String shipRequestType) {
		this.shipRequestType = shipRequestType;
	}
	public String getShipRequestDetailType() {
		return shipRequestDetailType;
	}
	public void setShipRequestDetailType(String shipRequestDetailType) {
		this.shipRequestDetailType = shipRequestDetailType;
	}
	public String getCustomerNO() {
		return customerNO;
	}
	public void setCustomerNO(String customerNO) {
		this.customerNO = customerNO;
	}
	public String getDeliveryType() {
		return deliveryType;
	}
	public void setDeliveryType(String deliveryType) {
		this.deliveryType = deliveryType;
	}
	public Timestamp getShipPlanDate() {
		return shipPlanDate;
	}
	public void setShipPlanDate(Timestamp shipPlanDate) {
		this.shipPlanDate = shipPlanDate;
	}
	public String getWorkOrderId() {
		return workOrderId;
	}
	public void setWorkOrderId(String workOrderId) {
		this.workOrderId = workOrderId;
	}
	public String getSystemType() {
		return systemType;
	}
	public void setSystemType(String systemType) {
		this.systemType = systemType;
	}
	
	public String getweight() {
		return weight;
	}
	public void setweight(String weight) {
		this.weight = weight;
	}
	
	public String getvolume(){
		return volume;
	}
	public void setvolume(String volume) {
		this.volume = volume;
	}
	public String getMesReceiveFlag() {
		return mesReceiveFlag;
	}
	public void setMesReceiveFlag(String mesReceiveFlag) {
		this.mesReceiveFlag = mesReceiveFlag;
	}

	

}
